Bug 1460842 - python-Lektor-3.0.1 is available
python-Lektor-3.0.1 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-Lektor (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Charalampos Stratakis
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 20:17 EDT by Upstream Release Monitoring
Modified: 2017-08-01 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-Lektor-3.0.1-1.fc26
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 12:22:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Python 3 support (5.09 KB, patch)
2017-06-27 10:04 EDT, Charalampos Stratakis
mhroncok: review-
Details | Diff
updated patch (5.45 KB, patch)
2017-07-04 08:31 EDT, Charalampos Stratakis
no flags Details | Diff
And another update (5.35 KB, patch)
2017-07-19 10:24 EDT, Charalampos Stratakis
mhroncok: review+
Details | Diff

  None (edit)
Description Upstream Release Monitoring 2017-06-12 20:17:02 EDT
Latest upstream release: 3.0.1
Current version/release in rawhide: 2.3-3.fc26
URL: https://pypi.python.org/pypi/Lektor/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9744/
Comment 1 Upstream Release Monitoring 2017-06-12 20:17:08 EDT
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.
Comment 2 Charalampos Stratakis 2017-06-27 10:04 EDT
Created attachment 1292349 [details]
Python 3 support

Planning to change the package to python3 only. Initial patch attached.
Comment 3 Charalampos Stratakis 2017-06-27 10:05:39 EDT
Miro could you do a sanity check on the patch? (especially at the provides/obsoletes?)
Comment 4 Miro Hrončok 2017-06-28 11:26:28 EDT
Sure. On it.
Comment 5 Miro Hrončok 2017-06-28 11:33:00 EDT
Comment on attachment 1292349 [details]
Python 3 support

That package had the following structure:

SRPM python-Lektor:
   - RPM python2-Lektor (providing python-Lektor via %python_provide)


Now you are trying to change it like this:


SRPM python-Lektor:
   - RPM python-Lektor (providing python3-Lektor manually)



I don't think this is good idea. Change it as follows:


SRPM python-Lektor:
   - RPM python3-Lektor (noping via %python_provide)
   - providing and obsoleting python2-Lektor for 2 releases to provide safe upgrade path
Comment 6 Charalampos Stratakis 2017-07-04 08:31 EDT
Created attachment 1294195 [details]
updated patch
Comment 7 Charalampos Stratakis 2017-07-19 10:24 EDT
Created attachment 1301132 [details]
And another update
Comment 8 Miro Hrončok 2017-07-19 10:36:16 EDT
Comment on attachment 1301132 [details]
And another update

Remove the redundant "Provides:   python3-%{srcname} = %{version}-%{release}" line and you are good to go.
Comment 9 Upstream Release Monitoring 2017-07-19 11:13:39 EDT
cstratak's python-Lektor-3.0.1-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=920382
Comment 10 Fedora Update System 2017-07-19 11:14:40 EDT
python-Lektor-3.0.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f40b82666
Comment 11 Fedora Update System 2017-07-20 21:21:41 EDT
python-Lektor-3.0.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f40b82666
Comment 12 Upstream Release Monitoring 2017-07-28 11:44:13 EDT
releng's python-Lektor-3.0.1-2.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=939266
Comment 13 Fedora Update System 2017-08-01 12:22:57 EDT
python-Lektor-3.0.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.